Overview | Modules | Class Hierarchy | Classes | Members

# tlp::DoubleAlgorithm Class Reference
[Plugins]

`#include <DoubleAlgorithm.h>`

Inherits tlp::PropertyAlgorithm.

Inheritance diagram for tlp::DoubleAlgorithm:

[legend]
Collaboration diagram for tlp::DoubleAlgorithm:

[legend]
List of all members.

## Detailed Description

Interface for metric plug-ins.

## Public Member Functions

- virtual ~DoubleAlgorithm ()

## Public Attributes

- DoubleProperty * doubleResult

## Protected Member Functions

- DoubleAlgorithm (const PropertyContext &context)

## Friends

- class DoubleProperty

## Constructor & Destructor Documentation

virtual tlp::DoubleAlgorithm::~DoubleAlgorithm | ( |  | ) | `[virtual]`

tlp::DoubleAlgorithm::DoubleAlgorithm | ( | const PropertyContext & | context | ) | `[protected]`

## Friends And Related Function Documentation

friend class DoubleProperty `[friend]`

## Member Data Documentation

DoubleProperty* tlp::DoubleAlgorithm::doubleResult

| This metric is the one associated to the algorithm, The data should be store in it

Tulip Software by LaBRI Visualization Team 2001 - 2010